deff {Hmisc} | R Documentation

## Design Effect and Intra-cluster Correlation

### Description

Computes the Kish design effect and corresponding intra-cluster correlation for a single cluster-sampled variable

### Usage

    deff(y, cluster)

### Arguments

`y` | variable to analyze
`cluster` | a variable whose unique values indicate cluster membership. Any type of variable is allowed.

### Value

a vector with named elements `n` (total number of non-missing observations), `clusters` (number of clusters after deleting missing data), `rho`(intra-cluster correlation), and `deff` (design effect).

### Author(s)

Frank Harrell
Department of Biostatistics
Vanderbilt University
f.harrell@vanderbilt.edu

### See Also

`bootcov`, `robcov`

### Examples

    set.seed(1)
    blood.pressure <- rnorm(1000, 120, 15)
    clinic <- sample(letters, 1000, replace=TRUE)
    deff(blood.pressure, clinic)

[Package Hmisc version 3.17-4 Index]